> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/workflow.md).

# Workflow

A workflow containing triggers and jobs

| Name               | Type                                           | Description                                           |
| ------------------ | ---------------------------------------------- | ----------------------------------------------------- |
| description        | String                                         | Description of the workflow                           |
| enabled            | Boolean                                        | Determines whether this workflow runs or not          |
| format             | String                                         |                                                       |
| id                 | ID                                             | Unique identifier for the workflow                    |
| isolateTo          | [User](/developer/api-reference/types/user.md) | User who this workflow is isolated to                 |
| isolateToUserId    | ID                                             | ID of the user who this workflow is isolated to       |
| keepUpdated        | Boolean                                        | Whether this workflow is kept updated by Bunny or not |
| name               | String                                         | Name of the workflow                                  |
| recipe             | String                                         | The workflow recipe                                   |
| standard           | Boolean                                        | Whether this workflow is standard or not              |
| targetClass        | String                                         | Target class                                          |
| workflowCategoryId | ID                                             | ID of the workflow category                           |
| workflowSchedule   | String                                         | Workflow schedule                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/workflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
